Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.beans
Interface FieldAccessor

All Known Implementing Classes:
  StateClassAccessor.StateFieldAccessor

public interface FieldAccessor

Accessor for setting and getting the value of a field.

Method Summary
`boolean` | `equals(Object other)` Equality depends on the owning `ClassAccessor` and name and type of the field.
`ClassAccessor` | `getClassAccessor()` The owning `ClassAccessor` for this field.
`String` | `getName()` The name of the field.
`Class` | `getType()` The type of this field.
`Object` | `getValue(Object forObject)` Returns the field's value for the specified object.
`int` | `hashCode()` Equality depends on the owning `ClassAccessor` and name and type of the field.
`boolean` | `isEditable(Object forObject)` Returns `true` if this field is editable; else returns `false`.
`void` | `setValue(Object forObject, Object value)` Set the value of the specified field.

Method Detail

### getName

    public String getName()

  The name of the field.

### getClassAccessor

    public ClassAccessor getClassAccessor()

  The owning `ClassAccessor` for this field.

### getType

    public Class getType()

  The type of this field.

### getValue

    public Object getValue(Object forObject)

  Returns the field's value for the specified object.
  Parameters:
    `forObject` - the object for which to return the field value

### setValue

    public void setValue(Object forObject,
                         Object value)

  Set the value of the specified field.
  Parameters:
    `forObject` - the object whose field should be set
    `value` - the new value to apply to the field

### isEditable

    public boolean isEditable(Object forObject)

  Returns `true` if this field is editable; else returns `false`.
  Parameters:
    `forObject` - the object whose field may be set

### equals

    public boolean equals(Object other)

  Equality depends on the owning `ClassAccessor` and name and type of the field.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Equality depends on the owning `ClassAccessor` and name and type of the field.
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.